[needs-packaging] FreeWRL VRML/X3D Browser

Bug #146324 reported by John A. Stewart on 2007-09-28
14
Affects Status Importance Assigned to Milestone
Firefox Extensions
Wishlist
Unassigned
FreeWRL
Unknown
Unknown
Debian
Fix Released
Unknown
Ubuntu
Wishlist
Unassigned

Bug Description

FreeWRL, the VRML/X3D browser with Firefox plugin, needs packaging for Ubuntu. Version 1.19.9 has been submitted for packaging.

This package has now been removed from Debian because nobody was
interested in maintaining it; see
http://lists.debian.org/debian-devel-announce/2005/06/msg00014.html
for more information.

--
Martin Michlmayr
http://www.cyrius.com/

reopen 279757
retitle 279757 ITA: freewrl -- VRML browser and netscape plugin
owner 279757 !
thanks

I'm taking over full maintenance of FreeWRL. It's the only available VRML
browser/plugin for Linux. I already packaged the latest version

http://mentors.debian.net/debian/pool/main/f/freewrl/

I'll upload it as soon as I find a sponsor.

Stan Vasilyev

#package removed from the archive, formally it is an ITP and not an ITA
retitle 279757 ITP: freewrl -- VRML browser and netscape plugin
severity 279757 wishlist
#normal severity for RFH
severity 332648 normal
severity 353736 normal
#wishlist severity for ITP
severity 348996 wishlist
thanks

--
Thomas Huriaux

owner 279757 !

Could someone please explain what the status of freewrl
for Debian is?

Looking at the cryptic emails in the mailbox for this bug
it seems as if there was an aborted attempt by Stan to
creat a package and in the last week or so the upstream author
of freewrl John A. Stewart has stepped in to take ownership.

Does this please the upload of a freewrl package is imminent?
I hope so! I've been developing an based application (slowly) that
generate X3D and VRML for the last few years. It hurt when
Debian dropped freewrl. (I wasn't in a position to become
maintainer.)

Thanks in advance!

John Dalton
---
Sydney, Australia

John;

I hope to find (again) someone to build and distribute FreeWRL
on Debian and Ubuntu systems. Stan, the last person,
went and found a real job at a gaming company. Oh well!

I have sent a message to the FreeWRL mailing list, asking for
anyone who packages for Debian or Ubuntu to step forward;
hopefully someone will, which will take me off the hook for
more work.

> Could someone please explain what the status of freewrl
> for Debian is?
>
> Looking at the cryptic emails in the mailbox for this bug
> it seems as if there was an aborted attempt by Stan to
> creat a package and in the last week or so the upstream author
> of freewrl John A. Stewart has stepped in to take ownership.
>
> Does this please the upload of a freewrl package is imminent?
> I hope so! I've been developing an based application (slowly) that
> generate X3D and VRML for the last few years. It hurt when
> Debian dropped freewrl. (I wasn't in a position to become
> maintainer.)

-----------------------------------------------------------
John A. Stewart
<email address hidden>

Network Systems and Technologies -
         Systemes et technologies des reseaux
Communications Research Centre Canada |
          Centre de recherches sur les communications Canada

3701 Carling Ave. | 3701, avenue Carling
PO Box 11490, Station H | CP 11490, succursale H
          Ottawa ON K2H 8S2 | Ottawa (Ontario) K2H 8S2

http://www.crc.ca

Hi John,

I've been attempting to build FreeWRL 1.18, with the
view to creating a Debian package using the FreeWRL 1.07
deb as a guide. (I'm not volunteering to become maintainer,
but am trying to figure out if it is feasible for me
to volunteer.)

I'm getting lots of compile errors in the "JS" module
(Could I be missing a prerequisite library or development
package?)

I also notice that the JS package is released under
the Mozilla Public License (JS/LICENSE) with no second
license option. The FSF has declared that the MPL is
incompatible with the GPL unless it is also dual
licensed under a GPL compatible license [1].

To my untrained legal eye, it appears that the FreeWRL
(GPL licensed) should not be linked with the JS module.
Thus even if a FreeWRL 1.18 package is sucessfully
built debian will refuse to accept it. These are the
sorts of things debian-legal care about a lot.

Is my reasoning correct please? Please point out if I
am wrong, or if there is another way to get FreeWRL back
into Debian. Is the JS package essential, or is there
a GPL compatible alternative?

Regards
John D

[1] http://www.gnu.org/philosophy/license-list.html#MPL

On Fri, 2006-07-07 at 10:51 -0400, John A. Stewart wrote:
> John;
>
> I hope to find (again) someone to build and distribute FreeWRL
> on Debian and Ubuntu systems.
...

Hi John,

> First; one of the not so active FreeWRLians has a directory on line:

Thanks for the pointers.

> > I notice that Debian includes a package called: spidermonkey-bin
> > This is a standalone implementation of the mozilla java script
> > engine, which I'm assuming is the source of the code in
> > FreeWRL's "JS" directory. Is it possible for FreeWRL to
> > have spidermonkey-bin as a dependency and to call it at run
> > time, thus doing away with the need for a JS directory in FreeWRL?
>
>
> The simple answer is "yes, absolutely". The complex answer? the
> build would have to be changed in 2 ways:

>
> - do not go into the JS directory;
> - link against libjs.so instead of libFreeWRLjs.so
>
>
> and it should work just fine.

Probing further, spidermoney-bin is an executable wrapper around the
libmozjs0d package. libmozjs0d is the embeddable JavaScript
library. Debian also provides a package libmozjs-dev,
which provides another copy of the JavaScript library, along with
header files.

libmozjs0d provides the file /usr/lib/libmozjs.so.0d
libmozjs-dev provides header files in /usr/include/mozjs/* and the
file /usr/lib/libmozjs.so

I'm guessing the right package to install and link against is
libmozjs-dev. I'm not an expert though, so someone might
want to verify this.

Yes, you are correct in pointing out that the JS source is dual
licensed. Apologies for the false alarm. (The license MPL file
for JS doesn't hve the dual licensing section filled in and
I didn't check the file headers.)

I've CC'd this to the relevant debian bug so it is on record
that FreeWRL doesn't have a licensing problem.

Regards
John

Hello,

This is an automatic mail sent to close the ITP you have reported or
are involved with.

Your ITP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not
intended by owners and submitters (like you) to be closed, for
example if the ITP is still of your interest, or there has been
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail <email address hidden>
with a body text like this:

 reopen 279757
 stop

Further comments on the work done in the bug sent to
<email address hidden> would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <email address hidden>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <email address hidden>.

# A New Hope
# A log time ago, in a galaxy far, far away
# something happened.
#
# Magically this resulted in the following
# action being taken, but this fake control
# message doesn't tell you why it happened
#
# The action:
# Bug archived.
thanks
# This fakemail brought to you by your local debbugs
# administrator

FreeWRL, the VRML/X3D browser with Firefox plugin, needs packaging for Ubuntu. Version 1.19.9 has been submitted for packaging.

Roman Polach (rpolach) wrote :

Only a note:
There are packages for Edgy and Feisty on http://freewrl.sourceforge.net/download.html
but there is no package for Gutsy yet there.

John Vivirito (gnomefreak) wrote :

Im leaving extensions task as incomplete until all info in on https://wiki.ubuntu.com/MozillaTeam/Firefox3Extensions or on this bug and i will move it over to the wiki if needed. I will compare wiki and these bugs to see if we can atleast package it or not, some are listed as cant for a few difference reasons.

Changed in firefox-extensions:
importance: Undecided → Wishlist
status: New → Incomplete
Saša Bodiroža (jazzva) wrote :

Hello David,

Thank you for the packaging. Few months ago we set up a packaging page for the extensions [1]. New extensions are maintained in bzr branches, and we are trying to move already packaged to bzr too. I would like if you could prepare a new package, as explained on the wiki page. The XPI.TEMPLATE makes the process a lot easier.

Thank you for your work and sorry for the inconvenience.

[1] https://wiki.ubuntu.com/MozillaTeam/Firefox3Extensions/Packaging

John Vivirito (gnomefreak) wrote :

ubuntu task is not needed once we have firefox extensions task open.

On Sun, Jun 29, 2008 at 11:18:33PM -0000, John Vivirito wrote:
> ubuntu task is not needed once we have firefox extensions task open.
>
> ** Changed in: ubuntu
> Status: Confirmed => Invalid
>

needs-packaging bugs should keep the ubuntu task.

 affects ubuntu
 status confirmed

 - Alexander

Philippe Coval (rzr) wrote :

Hi,

A "work in progress" package of freewrl is in my PPA if curious, feedback/ comaintenance welcome
--
http://rzr.online.fr/q/vrml

Michel Briand (michelbriand) wrote :

Hello,

you can find the package I've created for FreeWRL at :

http://kheb.homelinux.org/debian/

Sources are at :

http://kheb.homelinux.org/debian/upload/source/

FreeWRL has it's Debian files (debian/*) under upstream source control (Sourceforge).

Cheers,
Michel

NoBugs! (luke32j) wrote :

It would be great to have some vrml / wrl viewer in ubuntu,
I tried the debian files from http://kheb.homelinux.org/debian/upload/binary/, but they didn't install in intrepid 8.10.

Michel Briand (michelbriand) wrote :

NoBugs! <email address hidden> - Wed, 08 Apr 2009 16:54:53 -0000

>It would be great to have some vrml / wrl viewer in ubuntu,
>I tried the debian files from http://kheb.homelinux.org/debian/upload/binary/, but they didn't install in intrepid 8.10.
>

Please help find why this don't work in your 8.10.

Details please ;).

John Vivirito (gnomefreak) wrote :

On 04/08/2009 02:28 PM, Michel Briand wrote:
>
> NoBugs! <email address hidden> - Wed, 08 Apr 2009 16:54:53 -0000
>
>> It would be great to have some vrml / wrl viewer in ubuntu,
>> I tried the debian files from http://kheb.homelinux.org/debian/upload/binary/, but they didn't install in intrepid 8.10.
>>
>
> Please help find why this don't work in your 8.10.
>
> Details please ;).
>
Debian binaries and ours don't always mix. I have not looked at the bug
just what I'm seeing in email today. I'm on a strict schedule this week
and next so someone else may want to look at why.

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

"How can i get lost, if i have no where to go"
    -- Metallica from Unforgiven III

Philippe Coval (rzr) wrote :

Hi,

I am looking for co maintainers check :

http://bugs.debian.org/574881

http://rzr.online.fr/q/vrml

Michel Briand (michelbriand) wrote :

Philippe Coval <email address hidden> - Wed, 07 Apr 2010 07:53:18 -0000

>Hi,
>
>I am looking for co maintainers check :
>
>http://bugs.debian.org/574881
>
>http://rzr.online.fr/q/vrml
>
>
>** Bug watch added: Debian Bug tracker #574881
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=574881
>
>** Bug watch added: SourceForge.net Tracker #1832313
> http://sourceforge.net/support/tracker.php?aid=1832313
>
>** Also affects: freewrl via
> http://sourceforge.net/support/tracker.php?aid=1832313
> Importance: Unknown
> Status: Unknown
>

Salut Philippe,

NB: j'ai pas pu déchiffrer ton mail du 05/04 12:17. Pb MIME ? Email
vide ?

En effet il faut avancer. Tu as raison de me solliciter à nouveau.
Je me bloque une heure ce soir et demain soir pour travailler avec toi
sur le sujet ;).

Je vais récupérer les dernière sources de FreeWRL et voir si la
compilation passe bien. Si elle passe bien je taggerai une version et
je ferai un tarball.

Côté repository git pour stocker le sous-rép debian/ je ne l'ai pas
encore cloné. Mais je vais le faire ce soir. On ne stocke que le
sous-rép git dans cette repository.

Mail joint : les remarques d'un Debian monsieur...

à+
Michel

On Sat, Oct 03, 2009 at 01:18:03PM +0200, Michel Briand wrote:
>
> Hello,
>
> I've worked on Lintian warning and reach the point of only one
> remaining:
>
> $ lintian freewrl_1.22.5-1.dsc
> W: freewrl source: native-package-with-dash-version
>
> Since I build FreeWRL from my CVS checkout directory, than contains CVS
> files and debian/ subdirectory, I've used the command:
>
> $ dpkg-source -ICVS -b freewrl-1.22.5
> dpkg-source: info: utilisation du format source « 1.0 »
> dpkg-source: info: construction de freewrl dans freewrl_1.22.5-1.tar.gz
> dpkg-source: info: construction de freewrl dans freewrl_1.22.5-1.dsc
>
> But the last Lintian warning remains. I don't know how to solve it: how
> to tell dpkg-source that my package is not native ?

We need debian dir to be separate from upstream source tree. This way, an
upstream tree (without debian dir) produces freewrl_1.22.5.orig.tar.gz
(note the .orig).

Then, when you unpack this and put your debian dir in it, dpkg-buildpackage
will DTRT and generate a freewrl_1.22.5-1.diff.gz, which contains the debian
directory.

See http://www.debian.org/doc/maint-guide/ch-update.en.html#s-orig-tar

--
Robert Millan

  The DRM opt-in fallacy: "Your data belongs to us. We will decide when (and
  how) you may access your data; but nobody's threatening your freedom: we
  still allow you to remove your data and not access it at all."

Logan Rosen (logan) on 2013-02-28
Changed in debian:
status: Fix Released → Unknown
Changed in ubuntu:
status: Confirmed → Triaged
Changed in debian:
status: Unknown → New
Changed in debian:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.